groovy.json

## Interface JsonGenerator.Converter

- All Known Implementing Classes:
    DefaultJsonGenerator.ClosureConverter
  Enclosing interface:
    JsonGenerator

      public static interface JsonGenerator.Converter

  Handles converting a given type.
  Since:
    2.5.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `convert(java.lang.Object value, java.lang.String key)` Converts a given object.
    `boolean` | `handles(java.lang.Class<?> type)` Returns `true` if this converter can handle conversions of the given type.

- - ### Method Detail

    - #### handles

          boolean handles(java.lang.Class<?> type)

      Returns `true` if this converter can handle conversions of the given type.
      Parameters:
        `type` - the type of the object to convert
      Returns:
        `true` if this converter can successfully convert values of the given type, else `false`

    - #### convert

          java.lang.Object convert(java.lang.Object value,
                                   java.lang.String key)

      Converts a given object.
      Parameters:
        `value` - the object to convert
        `key` - the key name for the value, may be `null`
      Returns:
        the converted object